CREATE TABLE fun_erp_interface_details (
    ERP_INTERFACE_DETAILS_ID         NUMBER(18, 0) ,
    PURGE_CONTEXT                    VARCHAR2(600) ,
    PURGE_PREDICATE                  VARCHAR2(4000),
    FBDI_PURGE_PREDICATE             VARCHAR2(4000),
    ERP_INTERFACE_OPTIONS_ID         NUMBER(18, 0) ,
    CONTROL_FILE_NAME                VARCHAR2(1000),
    INTERFACE_TABLE_NAMES            VARCHAR2(4000),
    DELETE_ON_LOAD_FAILURE           VARCHAR2(4)       NOT NULL,
    REPLACE_STR_CONTROL_FILE_FLAG    VARCHAR2(4)       NOT NULL,
    DATA_FILE_NAME_PREFIX            VARCHAR2(320) ,
    TABLE_ORDERING_NUMBER            NUMBER(18, 0) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    ERP_INTERFACE_DETAILS_ID         NUMBER(18, 0) ,
    ERP_INTERFACE_OPTIONS_ID         NUMBER(18, 0) ,
    CONTROL_FILE_NAME                VARCHAR2(1000),
    INTERFACE_TABLE_NAMES            VARCHAR2(4000),
    DELETE_ON_LOAD_FAILURE           VARCHAR2(4)       NOT NULL,
    REPLACE_STR_CONTROL_FILE_FLAG    VARCHAR2(4)       NOT NULL,
    DATA_FILE_NAME_PREFIX            VARCHAR2(320) ,
    TABLE_ORDERING_NUMBER            NUMBER(18, 0) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    PURGE_CONTEXT                    VARCHAR2(600) ,
    PURGE_PREDICATE                  VARCHAR2(4000),
    FBDI_PURGE_PREDICATE             VARCHAR2(4000),
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_erp_interface_details PRIMARY KEY (ERP_INTERFACE_DETAILS_ID, ERP_INTERFACE_OPTIONS_ID, ERP_INTERFACE_DETAILS_ID, ERP_INTERFACE_OPTIONS_ID)
);
